%define upstream_name    Test-XML-Ordered
%define upstream_version 0.2.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compare two XML files for equivalency, in an ordered
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::LibXML) >= 2.1.400
BuildRequires: perl(XML::LibXML::Reader) >= 2.1.400
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a test module which compares two XML files for equivalence
in an ordered fashion. It was written after I (= Shlomi Fish) realised that
the XML::SemanticDiff manpage, which is the basis for the Test::XML
manpage, and which I maintain, compares two XML files for equivalence in a
"semantic" fashion where elements can be present in several possible
orders. (It does not always do the right thing with this respect, but even
if it did, it is not normally what I want.).

Other advantages of Test::XML::Ordered are:

* * Based on XML::LibXML instead of XML::Parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.2.2-2.mga9
+ Revision: 1815868
- Mageia 9 Mass Rebuild

* Fri Dec 31 2021 tv <tv> 0.2.2-1.mga9
+ Revision: 1765527
- update to 0.2.2

* Mon Oct 19 2020 tv <tv> 0.2.1-1.mga8
+ Revision: 1636803
- update to 0.2.1

* Sat Feb 15 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1528659
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Aug 25 2019 tv <tv> 0.2.0-1.mga8
+ Revision: 1432109
- update to 0.2.0

* Wed Sep 19 2018 umeabot <umeabot> 0.0.9-4.mga7
+ Revision: 1272020
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.9-3.mga6
+ Revision: 1034872
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0.9-2.mga6
+ Revision: 966191
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.0.9-1.mga6
+ Revision: 843040
- update to 0.0.9

* Wed Oct 15 2014 umeabot <umeabot> 0.0.8-3.mga5
+ Revision: 749568
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-2.mga5
+ Revision: 686581
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.0.8-1.mga5
+ Revision: 585327
- update to 0.0.8

* Mon Oct 21 2013 umeabot <umeabot> 0.0.6-2.mga4
+ Revision: 538086
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.0.6-1.mga4
+ Revision: 488417
- update to 0.0.6

* Wed May 29 2013 shlomif <shlomif> 0.0.5-1.mga4
+ Revision: 432568
- update to 0.0.5

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 373915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 shlomif <shlomif> 0.0.2-1.mga3
+ Revision: 336203
- imported package perl-Test-XML-Ordered


* Sat Dec 29 2012 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
